
#include "ST7565.h"
#include <stdio.h>
int AI1Raw = 0; //define a variable for analog input 1 raw
int AI2Raw = 1;
char AI1String[32];
char AI2String[32];
int temp = 0; //define a variable to be used in the calculation
int temp1; 

ST7565 glcd(9, 8, 7, 6, 5);
#define LOGO16_GLCD_HEIGHT 16 
#define LOGO16_GLCD_WIDTH  16 

void setup()  
{       
  glcd.st7565_init();
  glcd.st7565_command(CMD_DISPLAY_ON);
  glcd.st7565_command(CMD_SET_ALLPTS_NORMAL);
  glcd.st7565_set_brightness(0x18);
}

void loop()                     
{     
 temp = analogRead(AI1Raw); // read the analog value and place the value in varible temp
    temp1 = (temp - (int)temp) * 100;
    sprintf(AI1String,"AI1 Value: %0d.%d", (int)temp, temp1);  
  glcd.drawstring(0, 0, AI1String); // move the cursor to pixel X=0 and Y=0, print the variable 
  glcd.display();
  
 temp = analogRead(AI2Raw); // read the analog value and place the value in varible temp
    temp1 = (temp - (int)temp) * 100;
    sprintf(AI2String,"AI2 Value: %0d.%d", (int)temp, temp1);  
  glcd.drawstring(0, 1, AI2String); // move the cursor to character=0 and line=1, print the variable 
  glcd.display();
    
  delay(1000);
  glcd.clear(); 
}




