//Print analog values from AI0 to a ST7565 LCD screen
//More code examples can be found at www.filear.com

#include "ST7565.h"
#include <stdio.h>

int AI1Raw = 0; //define a variable for analog input 1 raw
char AI1String[32]; //varible to hold the value from AI1Raw after the value is converted to a string
int temp; //define a variable to be used in the calculation
int temp1; //define another variable to be used in the calculation 

ST7565 glcd(9, 8, 7, 6, 5); //Set the pins to use with the LCD screen
#define LOGO16_GLCD_HEIGHT 16 
#define LOGO16_GLCD_WIDTH  16 

void setup()  
{       
  glcd.st7565_init();
  glcd.st7565_command(CMD_DISPLAY_ON);
  glcd.st7565_command(CMD_SET_ALLPTS_NORMAL);
  glcd.st7565_set_brightness(0x18);
}

void loop()                     
{     
 temp = analogRead(AI1Raw); // read the analog value and place the value in varible temp

  temp1 = (temp - (int)temp) * 100; //magic happens??
  sprintf(AI1String,"AI1 Value: %0d.%d", (int)temp, temp1); //the new calculated value is combined with some static text and placed into AI1String  

  glcd.clear(); //clear the screen
  glcd.drawstring(0, 0, AI1String); // move the LCD cursor to line=0 and character=0, print the variable 
  glcd.display(); //print the string to the LCD panel    
 
  delay(1000); //wait 1000 miliseconds or 1 second
 
}




